# asJson method

Map<String, dynamic> asJson({

1. String delimiter = '_',

})

Converts a Map to JSON with formatted keys (`_`, `-`, or `camelCase`).

## Parameters

- `delimiter`: The delimiter to use for formatting keys

## Returns

- A new Map with formatted keys

## Implementation

    Map<String, dynamic> asJson({String delimiter = '_'}) {
      return mapKeys((key) {
        if (key is String) {
          return formatKeys(key, delimiter);
        }
        return Instance.valueOf(key);
      });
    }